Create draft sale

Create a new draft sale in IABAKO.

After this operation, you will be able to validate (confirm) the sale,
generate the associated invoice and handle installments and payments.

Some considerations:

  • Only lines attribute is mandatory.
  • If number is not provided, it will be auto-generated.
  • If externalId is not provided, it will be auto-generated.
  • Customer can be assigned by externalId or number (if already exists in IABAKO). Otherwise a new Customer will be created.
  • Customer fields (of an existing customer) will be updated (except if synchronisation is disabled for this customer).
  • Products in lines attributes can be assigned by externalId or number (if already exist in IABAKO). Otherwise a new Product will be created.
  • Product fields (of existing product) will be updated (except if synchronisation is disabled for this product).
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

External identifier for the sale

string

Unique sale number. If not provided, it will be auto-generated

date-time

Date of the sale. If not provided, current date at validation will be used

customer
object
lines
array of objects
required

List of line items in the sale

lines*
double

Total amount before tax

double

Total amount after tax

date-time

Date when the payment was received (format: yyyy-MM-dd). Setting this field automatically marks the sale as a single payment (onePayment)

string

Payment method used. Accepted values: cash, bankCard, bankCheck, bankTransaction, creditNote. Setting this field automatically marks the sale as a single payment (onePayment)

billingAddress
object

Billing address for the sale. If not provided, customer's default address will be used

string

Title of the sale document

string

Description of the sale document

string

Comment about the sale (visible in pdf document)

string

Internal note for the sale (not visible in pdf document)

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json